## azure-kusto-python 4.0.1

=== quick_start/requirements.txt ===
azure-kusto-data>=4.0.0,<5.0.0
azure-kusto-ingest>=4.0.0,<5.0.0

inflection~=0.5.1
tqdm~=4.64.0

## azure-kusto-python 0.1.0

=== debian/changelog ===
azure-kusto-python (0.1.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Aug 2020 10:25:31 +0100

azure-kusto-python (0.1.0-1) unstable; urgency=medium

  * Merge tag 'v0.1.0' into debian/sid
  * Add patch to fix backward compatibility with dateutil 2.7.x
  * Explicitly list minimum build dependencies when they affect old-stable

 -- Luca Boccassi <bluca@debian.org>  Fri, 12 Jun 2020 11:15:08 +0100

azure-kusto-python (0.0.45-1) unstable; urgency=medium

  * Initial release. (Closes: #960526)

 -- Luca Boccassi <bluca@debian.org>  Wed, 13 May 2020 11:07:53 +0000

=== debian/control ===
Source: azure-kusto-python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-adal (>= 1.0.0~) <!nocheck>,
               python3-all,
               python3-dateutil (>= 2.7.0~) <!nocheck>,
               python3-mock (>= 2.0.0~) <!nocheck>,
               python3-msrestazure (>= 0.4.14~) <!nocheck>,
               python3-pandas (>= 0.23.0~) <!nocheck>,
               python3-pytest (>= 3.2.0~) <!nocheck>,
               python3-requests (>= 2.13.0~) <!nocheck>,
               python3-responses (>= 0.9.0~) <!nocheck>,
               python3-setuptools,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-kusto-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-kusto-python
Vcs-Git: https://salsa.debian.org/python-team/modules/azure-kusto-python.git
Testsuite: autopkgtest-pkg-python, autopkgtest

Package: python3-azure-kusto-data
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Microsoft Azure Kusto (Azure Data Explorer) SDK for Python
 Client library in Python that makes it easy to interface with Azure Kusto
 databases.
 .
 This package provides the capability to query Kusto clusters with Python.

=== debian/rules ===
#!/usr/bin/make -f

# Skip tests that need the internet
export HTTP_PROXY=127.0.0.1:9
export HTTPS_PROXY=127.0.0.1:9
export PYBUILD_TEST_ARGS=-v --deselect=.pybuild/cpython3_{version}/build/tests/test_security.py::test_unauthorized_exception
export PYBUILD_AFTER_CLEAN=rm -rf azure_kusto_data.egg-info

%:
	dh $@ --with python3 --buildsystem=pybuild --sourcedirectory=azure-kusto-data

## azure-kusto-python 1.0.2

=== debian/changelog ===
azure-kusto-python (1.0.2-1) unstable; urgency=medium

  * Merge tag 'v1.0.2' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Sun, 02 Aug 2020 16:17:12 +0100

azure-kusto-python (1.0.1-1) unstable; urgency=medium

  * Merge tag 'v1.0.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 Jul 2020 17:04:36 +0100

azure-kusto-python (1.0.0-1) unstable; urgency=medium

  * Merge tag 'v1.0.0' into debian/sid
  * Refresh patch to remove fuzz from 1.0.0
  * Change build-dependency from msrestazure to python3-azure
  * Remove Testsuite from d/control

 -- Luca Boccassi <bluca@debian.org>  Mon, 20 Jul 2020 22:27:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
                dh-python,
                python3-adal (>= 1.0.0~) <!nocheck>,
                python3-all,
+               python3-azure (>= 20200519+git-1~) <!nocheck>,
                python3-dateutil (>= 2.7.0~) <!nocheck>,
                python3-mock (>= 2.0.0~) <!nocheck>,
-               python3-msrestazure (>= 0.4.14~) <!nocheck>,
                python3-pandas (>= 0.23.0~) <!nocheck>,
                python3-pytest (>= 3.2.0~) <!nocheck>,
                python3-requests (>= 2.13.0~) <!nocheck>,
@@ -20,11 +20,12 @@
 Homepage: https://github.com/Azure/azure-kusto-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-kusto-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/azure-kusto-python.git
-Testsuite: autopkgtest-pkg-python, autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-azure-kusto-data
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ python3-azure (>= 20200519+git-1~),
 Description: Microsoft Azure Kusto (Azure Data Explorer) SDK for Python
  Client library in Python that makes it easy to interface with Azure Kusto
  databases.

## azure-kusto-python 1.0.3

=== debian/changelog ===
azure-kusto-python (1.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag 'v1.0.3' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Oct 2020 10:20:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: azure-kusto-python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -18,8 +18,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/Azure/azure-kusto-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-kusto-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/azure-kusto-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-kusto-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/azure-kusto-python.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-azure-kusto-data

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-azure-kusto-data,

## azure-kusto-python 3.0.1

=== debian/changelog ===
azure-kusto-python (3.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Luca Boccassi ]
  * Merge tag 'v3.0.1' into debian/sid
  * Add new dependencies
  * Refresh patches to remove fuzz from v3.0.1
  * Bump Standards-Version to 4.6.0, no changes
  * debian: bump debhelper-compat version to 13
  * Use d/clean instead of PYBUILD_AFTER_CLEAN
  * Switch to dh-sequence-python3
  * d/tests/control: depend on python3-all:any
  * Ignore broken tests
  * Bump copyright year ranges in d/copyright
  * Override very-long-line-length-in-source-file warning

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Feb 2022 14:58:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,24 @@
 Source: azure-kusto-python
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                python3-adal (>= 1.0.0~) <!nocheck>,
                python3-all,
+               python3-aioresponses <!nocheck>,
+               python3-asgiref,
                python3-azure (>= 20200519+git-1~) <!nocheck>,
                python3-dateutil (>= 2.7.0~) <!nocheck>,
+               python3-ijson,
                python3-mock (>= 2.0.0~) <!nocheck>,
                python3-pandas (>= 0.23.0~) <!nocheck>,
                python3-pytest (>= 3.2.0~) <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-requests (>= 2.13.0~) <!nocheck>,
                python3-responses (>= 0.9.0~) <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-kusto-python 3.1.3

=== debian/changelog ===
azure-kusto-python (3.1.3-1) unstable; urgency=medium

  * Merge tag 'v3.1.3' into debian/sid
  * Bump Standards-Version to 4.6.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 14 Jun 2022 11:00:50 +0100

azure-kusto-python (3.1.2-1) unstable; urgency=medium

  * Merge tag 'v3.1.2' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 May 2022 11:21:20 +0100

azure-kusto-python (3.1.0-1) unstable; urgency=medium

  * Merge tag 'v3.1.0' into debian/sid
  * Un-apply patch, mistakenly committed

 -- Luca Boccassi <bluca@debian.org>  Mon, 07 Mar 2022 11:01:49 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-requests (>= 2.13.0~) <!nocheck>,
                python3-responses (>= 0.9.0~) <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-kusto-python 4.0.1

=== debian/changelog ===
azure-kusto-python (4.0.1-1) unstable; urgency=medium

  * Merge tag 'v4.0.1' into debian/sid
  * Refresh patch for v4.0.1

 -- Luca Boccassi <bluca@debian.org>  Mon, 05 Dec 2022 18:42:42 +0000

azure-kusto-python (3.1.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 10:49:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-python3,
-               python3-adal (>= 1.0.0~) <!nocheck>,
+               python3-adal <!nocheck>,
                python3-all,
                python3-aioresponses <!nocheck>,
                python3-asgiref,
                python3-azure (>= 20200519+git-1~) <!nocheck>,
-               python3-dateutil (>= 2.7.0~) <!nocheck>,
+               python3-dateutil <!nocheck>,
                python3-ijson,
-               python3-mock (>= 2.0.0~) <!nocheck>,
-               python3-pandas (>= 0.23.0~) <!nocheck>,
-               python3-pytest (>= 3.2.0~) <!nocheck>,
+               python3-mock <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
-               python3-requests (>= 2.13.0~) <!nocheck>,
-               python3-responses (>= 0.9.0~) <!nocheck>,
+               python3-requests <!nocheck>,
+               python3-responses <!nocheck>,
                python3-setuptools,
 Standards-Version: 4.6.1
 Section: python

## azure-kusto-python 4.0.2

=== debian/changelog ===
azure-kusto-python (4.0.2-1) unstable; urgency=medium

  * Merge tag 'v4.0.2' into debian/sid
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 30 Jan 2023 11:47:28 +0000

## azure-kusto-python 4.1.1

=== debian/changelog ===
azure-kusto-python (4.1.1-1) unstable; urgency=medium

  * Merge tag 'v4.1.1' into debian/sid
  * Refresh patch
  * Disable broken test cases

 -- Luca Boccassi <bluca@debian.org>  Sun, 19 Feb 2023 12:35:13 +0000

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-all:any, python3-azure-kusto-data,

## azure-kusto-python 4.2.0

=== debian/changelog ===
azure-kusto-python (4.2.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.2.0'

 -- Luca Boccassi <bluca@debian.org>  Wed, 14 Jun 2023 01:32:06 +0100

## azure-kusto-python 4.3.1

=== debian/changelog ===
azure-kusto-python (4.3.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.3.1'
  * Refresh patches
  * Bump copyright year ranges in d/copyright
  * Ignore more failing tests

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Jan 2024 20:01:46 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-requests <!nocheck>,
                python3-responses <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-kusto-python 4.4.1

=== debian/changelog ===
azure-kusto-python (4.4.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.4.1'

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 May 2024 01:57:35 +0100

azure-kusto-python (4.4.0-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Tue, 23 Apr 2024 23:31:55 +0200

azure-kusto-python (4.4.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.4.0'
  * Bump Standards-Version to 4.7.0, no changes
  * Refresh patches for new release

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 20:33:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
                python3-azure (>= 20200519+git-1~) <!nocheck>,
                python3-dateutil <!nocheck>,
                python3-ijson,
-               python3-mock <!nocheck>,
                python3-pandas <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-requests <!nocheck>,
                python3-responses <!nocheck>,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

## azure-kusto-python 4.5.1

=== debian/changelog ===
azure-kusto-python (4.5.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.5.1'
  * Drop trailing command from build dependencies

 -- Luca Boccassi <bluca@debian.org>  Sun, 23 Jun 2024 14:55:17 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-pytest-asyncio <!nocheck>,
                python3-requests <!nocheck>,
                python3-responses <!nocheck>,
-               python3-setuptools,
+               python3-setuptools
 Standards-Version: 4.7.0
 Section: python
 Priority: optional

## azure-kusto-python 4.6.1

=== debian/changelog ===
azure-kusto-python (4.6.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.6.1'

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Oct 2024 10:59:53 +0100

## azure-kusto-python 4.6.3

=== debian/changelog ===
azure-kusto-python (4.6.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/4.6.3'
  * Drop patch for compatibility with dateutil 2.7
  * autopkgtest: add allow-stderr to avoid failures due to warnings from
    libraries

 -- Luca Boccassi <bluca@debian.org>  Thu, 09 Jan 2025 11:25:16 +0000

## azure-kusto-python 5.0.1

=== debian/changelog ===
azure-kusto-python (5.0.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.0.1'
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Fri, 14 Mar 2025 10:30:57 +0000

## azure-kusto-python 5.0.2

=== debian/changelog ===
azure-kusto-python (5.0.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.0.2'

 -- Luca Boccassi <bluca@debian.org>  Thu, 03 Apr 2025 13:55:22 +0100

## azure-kusto-python 5.0.3

=== debian/changelog ===
azure-kusto-python (5.0.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.0.3'

 -- Luca Boccassi <bluca@debian.org>  Sun, 18 May 2025 14:44:14 +0100

## azure-kusto-python 5.0.5

=== quick_start/requirements.txt ===
azure-core-tracing-opentelemetry~=1.0.0b9
azure-kusto-data>=4.0.0,<5.0.0
azure-kusto-ingest>=4.0.0,<5.0.0
azure-monitor-opentelemetry-exporter~=1.0.0b7

inflection~=0.5.1
opentelemetry-sdk~=1.12.0
tqdm~=4.64.0

=== debian/changelog ===
azure-kusto-python (5.0.5-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.0.5'

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 11:22:41 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-requests <!nocheck>,
                python3-responses <!nocheck>,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --sourcedirectory=azure-kusto-data

# Tests are completely broken in the latest version and do not even run
override_dh_auto_test:

=== debian/tests/control ===
Tests: python3-tests
Restrictions: allow-stderr
Depends: @builddeps@, python3-all:any, python3-azure-kusto-data,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S+)\.tar\.gz/azure-kusto-python_$1\.orig\.tar\.gz/ \
  https://github.com/Azure/azure-kusto-python/tags .*/v-?(\d\S+)\.tar\.gz
